Subject: Re: [RFC PATCH v3 net-next] Documentation: devlink: Add devlink-sd

From: Jakub Kicinski <[email-masked]>
Date: Wed, 31 Jan 2024 14:30:09 -0800

On Wed, 31 Jan 2024 13:41:07 -0800 Jacob Keller wrote:
> >> Still, I feel like shared buffer pools / shared queues is how majority
> >> of drivers implement representors. Did you had a look around?  
> > 
> > Yes, I look at Intel ICE driver, which also has representors. (Add to CC)
> > 
> > IIUC, it's still dedicated buffer for each reps, so this new API might help.
> 
> Yea, I am pretty sure the ice implementation uses dedicated buffers for
> representors right now.

I just did a grep on METADATA_HW_PORT_MUX and assumed bnxt, ice and nfp
all do buffer sharing. You're saying you mux Tx queues but not Rx
queues? Or I need to actually read the code instead of grepping? :)